import { DomSanitizer, SafeResourceUrl } from '@angular/platform-browser';
import * as i0 from '@angular/core';
import { Renderer2, ElementRef, OnInit, InjectionToken, EnvironmentProviders, AfterContentInit, AfterContentChecked, DoCheck, AfterViewInit, OnDestroy, ChangeDetectorRef } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import * as i18 from '@angular/material/dialog';
import { MatDialogRef, MatDialog } from '@angular/material/dialog';
import { DialogData as DialogData$1, MediaService, DialogService, SnackBarService, TitleService, NavigationService, LoadingService } from '@rolatech/angular-services';
import * as rxjs from 'rxjs';
import { Subscription } from 'rxjs';
import * as _angular_cdk_layout from '@angular/cdk/layout';
import { BreakpointObserver } from '@angular/cdk/layout';
import * as i44 from '@angular/cdk/scrolling';
import { ViewportRuler } from '@angular/cdk/scrolling';
import { Platform } from '@angular/cdk/platform';
import * as i26 from '@angular/material/menu';
import { MatMenuPanel } from '@angular/material/menu';
import { Media } from '@rolatech/angular-common';
import { Router, ActivatedRoute } from '@angular/router';
import * as i1 from '@angular/cdk/a11y';
import * as i2 from '@angular/cdk/clipboard';
import * as i3 from '@angular/cdk/stepper';
import * as i4 from '@angular/cdk/table';
import { CdkTableDataSourceInput } from '@angular/cdk/table';
import * as i5 from '@angular/cdk/tree';
import * as i6 from '@angular/cdk/drag-drop';
import * as i8 from '@angular/material/autocomplete';
import * as i9 from '@angular/material/badge';
import * as i10 from '@angular/material/bottom-sheet';
import * as i11 from '@angular/material/button';
import * as i12 from '@angular/material/button-toggle';
import * as i13 from '@angular/material/card';
import * as i14 from '@angular/material/checkbox';
import * as i15 from '@angular/material/chips';
import * as i16 from '@angular/material/stepper';
import * as i17 from '@angular/material/datepicker';
import * as i19 from '@angular/material/divider';
import * as i20 from '@angular/material/expansion';
import * as i21 from '@angular/material/grid-list';
import * as i22 from '@angular/material/icon';
import { MatIconRegistry } from '@angular/material/icon';
import * as i23 from '@angular/material/form-field';
import * as i24 from '@angular/material/input';
import * as i25 from '@angular/material/list';
import * as i27 from '@angular/material/core';
import * as i28 from '@angular/material/paginator';
import * as i29 from '@angular/material/progress-bar';
import * as i30 from '@angular/material/progress-spinner';
import * as i31 from '@angular/material/radio';
import * as i32 from '@angular/material/select';
import * as i33 from '@angular/material/sidenav';
import * as i34 from '@angular/material/slider';
import * as i35 from '@angular/material/slide-toggle';
import * as i36 from '@angular/material/snack-bar';
import * as i37 from '@angular/material/sort';
import * as i38 from '@angular/material/table';
import * as i39 from '@angular/material/tabs';
import * as i40 from '@angular/material/toolbar';
import * as i41 from '@angular/material/tooltip';
import * as i42 from '@angular/material/tree';
import * as i43 from '@angular/cdk/portal';

declare class PdfViewerComponent {
    sanitizer: DomSanitizer;
    safeUrl: SafeResourceUrl;
    url: string;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<PdfViewerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PdfViewerComponent, "rolatech-pdf-viewer", never, {}, {}, never, never, true, never>;
}

declare class RichLabelComponent {
    label: i0.InputSignal<unknown>;
    title: i0.InputSignal<unknown>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RichLabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RichLabelComponent, "rolatech-rich-label", never, { "label": { "alias": "label"; "required": true; "isSignal": true; }; "title": { "alias": "title"; "required": true; "isSignal": true; }; }, {}, never, never, true, never>;
}

declare class ResizableContainerComponent {
    renderer: Renderer2;
    leftDiv: ElementRef;
    rightDiv: ElementRef;
    divider: ElementRef;
    isResizing: boolean;
    startResizing(event: any): void;
    onResizing(event: MouseEvent): void;
    stopResizing(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResizableContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResizableContainerComponent, "rolatech-resizable-container", never, {}, {}, never, ["[position='left']", "[position='right']"], true, never>;
}

declare class RichGridMediaComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<RichGridMediaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RichGridMediaComponent, "rolatech-rich-grid-media", never, {}, {}, never, never, true, never>;
}

declare class RejectDialogComponent implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<RejectDialogComponent>;
    data: any;
    rejectForm: FormGroup;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<RejectDialogComponent>, data: any);
    onNoClick(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RejectDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RejectDialogComponent, "rolatech-reject-dialog", never, {}, {}, never, never, true, never>;
}

declare class AcceptDialogComponent {
    dialogRef: MatDialogRef<AcceptDialogComponent>;
    data: DialogData$1;
    constructor(dialogRef: MatDialogRef<AcceptDialogComponent>, data: DialogData$1);
    onNoClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AcceptDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AcceptDialogComponent, "rolatech-accept-dialog", never, {}, {}, never, never, true, never>;
}

declare class IconComponent {
    hasClass: boolean;
    filled: i0.InputSignalWithTransform<boolean, unknown>;
    el: ElementRef<any>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<IconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconComponent, "rolatech-icon", never, { "filled": { "alias": "filled"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}

declare class IconButtonComponent {
    hasClass: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconButtonComponent, "rolatech-icon-button", never, {}, {}, never, ["*"], true, never>;
}

declare class TitleComponent {
    hasClass: boolean;
    title: i0.InputSignal<unknown>;
    subtitle: i0.InputSignal<unknown>;
    large: i0.InputSignalWithTransform<boolean, unknown>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TitleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TitleComponent, "rolatech-title", never, { "title": { "alias": "title"; "required": false; "isSignal": true; }; "subtitle": { "alias": "subtitle"; "required": false; "isSignal": true; }; "large": { "alias": "large"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}

declare class ContainerComponent {
    hasId: string;
    hasClass: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContainerComponent, "rolatech-container", never, {}, {}, never, ["rolatech-toolbar", "rolatech-filter", "rolatech-tabs", "rolatech-chip-bar", "rolatech-list", "rolatech-content", "*"], true, never>;
}

interface DrawerConfig {
    persistent: boolean;
}
interface AppTopbarConfig {
    persistent: boolean;
}
interface AppLayoutConfig {
    title: string;
    subtitle?: string;
    persistent?: boolean | undefined;
    topbar?: AppTopbarConfig;
    drawer?: DrawerConfig;
    guide?: boolean | undefined;
}
declare const APP_LAYOUT: InjectionToken<AppLayoutConfig>;
declare function provideAngularLayout(config?: AppLayoutConfig): EnvironmentProviders;

interface LINK {
    title: string;
    subtitle?: string;
    openinView?: boolean;
    icon?: string;
    link: string;
    children?: LINK[];
    button?: boolean;
    exact?: boolean;
}
declare class DrawerComponent implements AfterContentInit, AfterContentChecked {
    private _enableAnimations;
    persistent: boolean | undefined;
    links: i0.InputSignal<LINK[] | undefined>;
    position: i0.InputSignal<string>;
    opened: i0.InputSignal<boolean>;
    el: ElementRef<any>;
    renderer: Renderer2;
    platformId: Object;
    breakpointObserver: BreakpointObserver;
    appLayout: AppLayoutConfig;
    guideEl: i0.Signal<ElementRef<any> | undefined>;
    content: i0.Signal<ElementRef<any> | undefined>;
    scrimEl: i0.Signal<ElementRef<any> | undefined>;
    headerEl: i0.Signal<ElementRef<any> | undefined>;
    isMobile: boolean;
    isPersistent: boolean;
    panelOpenState: boolean;
    private _opened;
    private _platform;
    open(): void;
    close(): void;
    toggle(): void;
    init(isMobile: boolean): void;
    ngAfterContentInit(): void;
    ngAfterContentChecked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DrawerComponent, "rolatech-drawer", never, { "links": { "alias": "links"; "required": false; "isSignal": true; }; "position": { "alias": "position"; "required": false; "isSignal": true; }; "opened": { "alias": "opened"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}

interface MiniGuide {
    title: string;
    icon: string;
    link: string;
}
declare class MiniGuideComponent implements OnInit {
    el: ElementRef<any>;
    renderer: Renderer2;
    platformId: Object;
    breakpointObserver: BreakpointObserver;
    items: i0.InputSignal<MiniGuide[] | undefined>;
    title: i0.InputSignal<boolean>;
    opened: boolean;
    disableToggle: boolean;
    readonly breakpoint$: rxjs.Observable<_angular_cdk_layout.BreakpointState>;
    ngOnInit(): void;
    private breakpointChanged;
    open(): void;
    close(): void;
    toggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MiniGuideComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MiniGuideComponent, "rolatech-mini-guide", never, { "items": { "alias": "items"; "required": false; "isSignal": true; }; "title": { "alias": "title"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}

declare class TopbarComponent implements OnInit {
    hostId: string;
    hasClass: boolean;
    persistent: boolean | undefined;
    el: ElementRef<any>;
    renderer: Renderer2;
    platformId: Object;
    breakpointObserver: BreakpointObserver;
    appLayout: AppLayoutConfig;
    link: i0.InputSignal<string>;
    appDrawer: DrawerComponent;
    miniGuide: MiniGuideComponent;
    ngOnInit(): void;
    onToggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TopbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TopbarComponent, "rolatech-topbar", never, { "link": { "alias": "link"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}

declare class AppPageComponent implements OnInit, AfterContentInit {
    el: ElementRef<any>;
    constructor();
    ngOnInit(): void;
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppPageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppPageComponent, "rolatech-page", never, {}, {}, never, ["*"], true, never>;
}

declare class LayoutComponent implements OnInit, AfterContentInit {
    appLayout: AppLayoutConfig;
    viewportRuler: ViewportRuler;
    el: ElementRef<any>;
    renderer: Renderer2;
    _platform: Platform;
    breakpointObserver: BreakpointObserver;
    topbar: i0.Signal<TopbarComponent>;
    drawer: i0.Signal<DrawerComponent>;
    page: i0.Signal<AppPageComponent>;
    guide: i0.Signal<MiniGuideComponent>;
    readonly breakpoint$: rxjs.Observable<_angular_cdk_layout.BreakpointState>;
    constructor();
    ngAfterContentInit(): void;
    ngOnInit(): void;
    open(): void;
    close(): void;
    toggle(): void;
    init(): void;
    private breakpointChanged;
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LayoutComponent, "rolatech-layout", never, {}, {}, ["topbar", "drawer", "page", "guide"], ["rolatech-topbar", "rolatech-drawer", "rolatech-mini-guide", "rolatech-page", "rolatech-footer"], true, never>;
}

declare class FooterComponent {
    hostId: string;
    hasClass: boolean;
    config: any;
    title: i0.InputSignal<string | undefined>;
    copyright: i0.InputSignal<string>;
    fTitle: i0.Signal<any>;
    fCopyright: i0.Signal<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FooterComponent, "rolatech-footer", never, { "title": { "alias": "title"; "required": false; "isSignal": true; }; "copyright": { "alias": "copyright"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}

declare class ConsoleLayoutComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<ConsoleLayoutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConsoleLayoutComponent, "rolatech-console-layout", never, {}, {}, never, never, true, never>;
}

declare class TopbarAvatarMenuComponent {
    environment: any;
    platformId: Object;
    menu: i0.InputSignal<MatMenuPanel<any>>;
    avatar: i0.InputSignal<string | undefined>;
    openMenu(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TopbarAvatarMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TopbarAvatarMenuComponent, "rolatech-topbar-avatar-menu", never, { "menu": { "alias": "menu"; "required": true; "isSignal": true; }; "avatar": { "alias": "avatar"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}

declare class FolderComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<FolderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FolderComponent, "rolatech-folder", never, {}, {}, never, never, true, never>;
}

declare class MediaPreviewDialogComponent implements OnInit {
    data: any;
    private dialogRef;
    selected: any;
    index: number;
    prevDisabled: boolean;
    nextDisabled: boolean;
    constructor(data: any, dialogRef: MatDialogRef<MediaPreviewDialogComponent>);
    ngOnInit(): void;
    close(): void;
    prev(): void;
    next(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MediaPreviewDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MediaPreviewDialogComponent, "rolatech-media-preview-dialog", never, {}, {}, never, never, true, never>;
}

declare class MediaUploadComponent {
    title: i0.InputSignal<string>;
    subtitle: i0.InputSignal<string>;
    description: i0.InputSignal<string>;
    isUploading: i0.InputSignal<boolean>;
    mediaItemClick: i0.OutputEmitterRef<Media>;
    upload: i0.OutputEmitterRef<FormData | null>;
    media: Media[];
    dialog: MatDialog;
    onMediaItemClick(item: Media): void;
    onMediaClick(i: any): void;
    onUpload(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MediaUploadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MediaUploadComponent, "rolatech-media-upload", never, { "title": { "alias": "title"; "required": false; "isSignal": true; }; "subtitle": { "alias": "subtitle"; "required": false; "isSignal": true; }; "description": { "alias": "description"; "required": false; "isSignal": true; }; "isUploading": { "alias": "isUploading"; "required": false; "isSignal": true; }; }, { "mediaItemClick": "mediaItemClick"; "upload": "upload"; }, never, never, true, never>;
}

declare class StorageBucketCreateComponent implements OnInit, DoCheck {
    name: i0.InputSignal<string | undefined>;
    output: i0.OutputEmitterRef<any>;
    ngOnInit(): void;
    ngDoCheck(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StorageBucketCreateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StorageBucketCreateComponent, "rolatech-storage-bucket-create", never, { "name": { "alias": "name"; "required": false; "isSignal": true; }; }, { "output": "output"; }, never, never, true, never>;
}

declare class StorageFileUploadComponent implements OnInit, DoCheck {
    title: i0.InputSignal<string | undefined>;
    output: i0.OutputEmitterRef<any>;
    fileData: any;
    progressInfos: any;
    isFinished: boolean;
    isUploaded: boolean;
    file: any;
    ngOnInit(): void;
    ngDoCheck(): void;
    selectFiles(event: any): void;
    removeFile(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StorageFileUploadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StorageFileUploadComponent, "rolatech-storage-file-upload", never, { "title": { "alias": "title"; "required": false; "isSignal": true; }; }, { "output": "output"; }, never, never, true, never>;
}

declare class StorageFolderCreateComponent implements OnInit, DoCheck {
    name: i0.InputSignal<string | undefined>;
    isPublic: i0.InputSignal<boolean>;
    output: i0.OutputEmitterRef<any>;
    ngOnInit(): void;
    ngDoCheck(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StorageFolderCreateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StorageFolderCreateComponent, "rolatech-storage-folder-create", never, { "name": { "alias": "name"; "required": false; "isSignal": true; }; "isPublic": { "alias": "isPublic"; "required": false; "isSignal": true; }; }, { "output": "output"; }, never, never, true, never>;
}

declare class MenuUserComponent {
    environment: any;
    myaccountUrl: any;
    user: i0.InputSignal<any>;
    title: i0.InputSignal<string | undefined>;
    subtitle: i0.InputSignal<string | undefined>;
    avatar: i0.Signal<any>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuUserComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuUserComponent, "rolatech-menu-user", never, { "user": { "alias": "user"; "required": false; "isSignal": true; }; "title": { "alias": "title"; "required": false; "isSignal": true; }; "subtitle": { "alias": "subtitle"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}

declare class WechatConnectDialogComponent {
    dialogRef: MatDialogRef<any, any>;
    environment: any;
    appId: i0.ModelSignal<unknown>;
    redirectUri: i0.ModelSignal<string>;
    state: i0.ModelSignal<unknown>;
    urlSafe: SafeResourceUrl;
    sanitizer: DomSanitizer;
    baseUrl: string;
    loaded: boolean;
    constructor();
    onNoClick(): void;
    onLogin(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WechatConnectDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WechatConnectDialogComponent, "rolatech-wechat-connect-dialog", never, { "appId": { "alias": "appId"; "required": false; "isSignal": true; }; "redirectUri": { "alias": "redirectUri"; "required": false; "isSignal": true; }; "state": { "alias": "state"; "required": false; "isSignal": true; }; }, { "appId": "appIdChange"; "redirectUri": "redirectUriChange"; "state": "stateChange"; }, never, never, true, never>;
}

interface PreMedia {
    url: string;
    alt: string;
    isUploading: boolean;
    isUploaded: boolean;
    file: File;
}
declare class MediaUploadDialogComponent implements OnInit {
    dialogRef: MatDialogRef<MediaUploadDialogComponent>;
    data: any;
    private mediaService;
    fileData: any;
    progressInfos: any;
    media: Media[];
    preMedia: PreMedia[];
    isFinished: boolean;
    isUploaded: boolean;
    constructor(dialogRef: MatDialogRef<MediaUploadDialogComponent>, data: any, mediaService: MediaService);
    ngOnInit(): void;
    selectFiles(event: any): void;
    addImage(file: any): void;
    removeImage(index: any): void;
    uploadFiles(): void;
    upload(idx: any, file: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MediaUploadDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MediaUploadDialogComponent, "rolatech-media-upload-dialog", never, {}, {}, never, never, true, never>;
}

declare class MediaListComponent {
    isUploading: i0.InputSignal<boolean | undefined>;
    media: i0.InputSignal<Media[] | undefined>;
    showAdd: i0.InputSignal<boolean>;
    mediaItemClick: i0.OutputEmitterRef<Media>;
    upload: i0.OutputEmitterRef<FormData | null>;
    onMediaItemClick(item: Media): void;
    onUpload(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MediaListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MediaListComponent, "rolatech-media-list", never, { "isUploading": { "alias": "isUploading"; "required": false; "isSignal": true; }; "media": { "alias": "media"; "required": false; "isSignal": true; }; "showAdd": { "alias": "showAdd"; "required": false; "isSignal": true; }; }, { "mediaItemClick": "mediaItemClick"; "upload": "upload"; }, never, ["*"], true, never>;
}

declare class MediaListItemComponent {
    media: i0.InputSignal<Media>;
    uploadProgress: i0.InputSignal<number>;
    uploading: i0.InputSignal<boolean | undefined>;
    mediaItemClick: i0.OutputEmitterRef<{
        selected: number;
        media: Media;
    }>;
    deleteMedia: i0.OutputEmitterRef<Media>;
    onMediaItemClick(event: any): void;
    onDeleteMedia(media: Media): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MediaListItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MediaListItemComponent, "rolatech-media-list-item", never, { "media": { "alias": "media"; "required": true; "isSignal": true; }; "uploadProgress": { "alias": "uploadProgress"; "required": false; "isSignal": true; }; "uploading": { "alias": "uploading"; "required": false; "isSignal": true; }; }, { "mediaItemClick": "mediaItemClick"; "deleteMedia": "deleteMedia"; }, never, never, true, never>;
}

declare class NotFoundComponent implements OnInit {
    url: string;
    router: Router;
    constructor();
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotFoundComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotFoundComponent, "rolatech-not-found", never, {}, {}, never, never, true, never>;
}

interface DialogData {
    title: string;
    message: string;
}
declare class ConfirmationDialogComponent {
    data: DialogData;
    dialogRef: MatDialogRef<ConfirmationDialogComponent>;
    onNoClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfirmationDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConfirmationDialogComponent, "rolatech-confirmation-dialog", never, {}, {}, never, never, true, never>;
}

declare global {
    interface Window {
        qq: any;
        TMap: any;
    }
}
declare class LocationSelectorComponent implements OnInit, DoCheck {
    map: any;
    markers: any;
    lists: any;
    infoWindowList: any[];
    selectedLocation: any;
    cities: string[];
    region: string;
    output: i0.OutputEmitterRef<any>;
    ngOnInit(): void;
    ngDoCheck(): void;
    init(): void;
    onSearchChange(event: any): void;
    setLocation(index: any): void;
    selectionChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocationSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LocationSelectorComponent, "rolatech-location-selector", never, {}, { "output": "output"; }, never, never, true, never>;
}

declare class FilterComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterComponent, "rolatech-filter", never, {}, {}, never, ["*"], true, never>;
}

declare class ConfirmationComponent {
    message: i0.ModelSignal<unknown>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfirmationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConfirmationComponent, "rolatech-confirmation", never, { "message": { "alias": "message"; "required": false; "isSignal": true; }; }, { "message": "messageChange"; }, never, never, true, never>;
}

declare class BaseComponent {
    route: ActivatedRoute;
    router: Router;
    id: any;
    dialogService: DialogService;
    dialog: MatDialog;
    snackBarService: SnackBarService;
    titleService: TitleService;
    navigation: NavigationService;
}

declare class MaterialModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<MaterialModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<MaterialModule, never, [typeof i1.A11yModule, typeof i2.ClipboardModule, typeof i3.CdkStepperModule, typeof i4.CdkTableModule, typeof i5.CdkTreeModule, typeof i6.DragDropModule, typeof _angular_cdk_layout.LayoutModule, typeof i8.MatAutocompleteModule, typeof i9.MatBadgeModule, typeof i10.MatBottomSheetModule, typeof i11.MatButtonModule, typeof i12.MatButtonToggleModule, typeof i13.MatCardModule, typeof i14.MatCheckboxModule, typeof i15.MatChipsModule, typeof i16.MatStepperModule, typeof i17.MatDatepickerModule, typeof i18.MatDialogModule, typeof i19.MatDividerModule, typeof i20.MatExpansionModule, typeof i21.MatGridListModule, typeof i22.MatIconModule, typeof i23.MatFormFieldModule, typeof i24.MatInputModule, typeof i25.MatListModule, typeof i26.MatMenuModule, typeof i27.MatNativeDateModule, typeof i28.MatPaginatorModule, typeof i29.MatProgressBarModule, typeof i30.MatProgressSpinnerModule, typeof i31.MatRadioModule, typeof i27.MatRippleModule, typeof i32.MatSelectModule, typeof i33.MatSidenavModule, typeof i34.MatSliderModule, typeof i35.MatSlideToggleModule, typeof i36.MatSnackBarModule, typeof i37.MatSortModule, typeof i38.MatTableModule, typeof i39.MatTabsModule, typeof i40.MatToolbarModule, typeof i41.MatTooltipModule, typeof i42.MatTreeModule, typeof i43.PortalModule, typeof i44.ScrollingModule], [typeof i1.A11yModule, typeof i2.ClipboardModule, typeof i3.CdkStepperModule, typeof i4.CdkTableModule, typeof i5.CdkTreeModule, typeof i6.DragDropModule, typeof _angular_cdk_layout.LayoutModule, typeof i8.MatAutocompleteModule, typeof i9.MatBadgeModule, typeof i10.MatBottomSheetModule, typeof i11.MatButtonModule, typeof i12.MatButtonToggleModule, typeof i13.MatCardModule, typeof i14.MatCheckboxModule, typeof i15.MatChipsModule, typeof i16.MatStepperModule, typeof i17.MatDatepickerModule, typeof i18.MatDialogModule, typeof i19.MatDividerModule, typeof i20.MatExpansionModule, typeof i21.MatGridListModule, typeof i22.MatIconModule, typeof i23.MatFormFieldModule, typeof i24.MatInputModule, typeof i25.MatListModule, typeof i26.MatMenuModule, typeof i27.MatNativeDateModule, typeof i28.MatPaginatorModule, typeof i29.MatProgressBarModule, typeof i30.MatProgressSpinnerModule, typeof i31.MatRadioModule, typeof i27.MatRippleModule, typeof i32.MatSelectModule, typeof i33.MatSidenavModule, typeof i34.MatSliderModule, typeof i35.MatSlideToggleModule, typeof i36.MatSnackBarModule, typeof i37.MatSortModule, typeof i38.MatTableModule, typeof i39.MatTabsModule, typeof i40.MatToolbarModule, typeof i41.MatTooltipModule, typeof i42.MatTreeModule, typeof i43.PortalModule, typeof i44.ScrollingModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<MaterialModule>;
}

declare class AngularComponentsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularComponentsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<AngularComponentsModule, never, [typeof MaterialModule], [typeof MaterialModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<AngularComponentsModule>;
}

interface Column {
    ref: string;
    name: string;
}
interface TableData<T> {
    columns: Column[];
    data: CdkTableDataSourceInput<T>;
}
declare class TableComponent implements OnInit {
    dataSource: i0.InputSignal<TableData<any>>;
    displayedColumns: string[];
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableComponent, "rolatech-table", never, { "dataSource": { "alias": "dataSource"; "required": true; "isSignal": true; }; }, {}, never, never, true, never>;
}

declare class PaginatorComponent {
    prevClick(): void;
    nextClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginatorComponent, "rolatech-paginator", never, {}, {}, never, never, true, never>;
}

declare class SpinnerComponent implements AfterViewInit, OnDestroy {
    title: i0.InputSignal<string | undefined>;
    isLoading: boolean;
    loadingSubscription: Subscription;
    loadingService: LoadingService;
    _elmRef: ElementRef<any>;
    _changeDetectorRef: ChangeDetectorRef;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpinnerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpinnerComponent, "rolatech-spinner", never, { "title": { "alias": "title"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}

declare class MediaPreviewComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<MediaPreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MediaPreviewComponent, "rolatech-media-preview", never, {}, {}, never, never, true, never>;
}

declare class ToolbarComponent {
    hasId: string;
    hasClass: boolean;
    title: i0.InputSignal<unknown>;
    subtitle: i0.InputSignal<unknown>;
    back: i0.InputSignalWithTransform<boolean, unknown>;
    link: i0.InputSignal<string>;
    large: i0.InputSignalWithTransform<boolean, unknown>;
    divider: i0.InputSignalWithTransform<boolean, unknown>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToolbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToolbarComponent, "rolatech-toolbar", never, { "title": { "alias": "title"; "required": false; "isSignal": true; }; "subtitle": { "alias": "subtitle"; "required": false; "isSignal": true; }; "back": { "alias": "back"; "required": false; "isSignal": true; }; "link": { "alias": "link"; "required": false; "isSignal": true; }; "large": { "alias": "large"; "required": false; "isSignal": true; }; "divider": { "alias": "divider"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}

declare class ThumbnailComponent {
    hasClass: boolean;
    myColor: string;
    el: ElementRef<any>;
    src: i0.InputSignal<string | undefined>;
    size: i0.InputSignal<string | undefined>;
    mode: i0.InputSignal<string>;
    ratio: i0.InputSignal<string>;
    img: i0.Signal<ElementRef<any>>;
    width: i0.InputSignal<number | undefined>;
    height: i0.InputSignal<number | undefined>;
    renderer: Renderer2;
    sizea: i0.EffectRef;
    full: i0.EffectRef;
    ratioSet: i0.EffectRef;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThumbnailComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThumbnailComponent, "rolatech-thumbnail", never, { "src": { "alias": "src"; "required": false; "isSignal": true; }; "size": { "alias": "size"; "required": false; "isSignal": true; }; "mode": { "alias": "mode"; "required": false; "isSignal": true; }; "ratio": { "alias": "ratio"; "required": false; "isSignal": true; }; "width": { "alias": "width"; "required": false; "isSignal": true; }; "height": { "alias": "height"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}

declare class ImageComponent implements OnInit {
    hasId: string;
    hasClass: boolean;
    src: i0.InputSignal<string | undefined>;
    img: i0.Signal<ElementRef<any>>;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageComponent, "rolatech-image", never, { "src": { "alias": "src"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}

declare class TabsComponent implements OnInit, AfterViewInit, AfterContentInit {
    ngAfterContentInit(): void;
    renderer: Renderer2;
    tabs: i0.Signal<readonly ElementRef<any>[]>;
    selectionBar: i0.Signal<ElementRef<any>>;
    select: i0.ModelSignal<number>;
    loading: i0.InputSignal<boolean>;
    preSelect: number;
    clientWidths: number[];
    protected _isServer: boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    init(): void;
    getOffset(index: number): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabsComponent, "rolatech-tabs", never, { "select": { "alias": "select"; "required": false; "isSignal": true; }; "loading": { "alias": "loading"; "required": false; "isSignal": true; }; }, { "select": "selectChange"; }, ["tabs"], ["*"], true, never>;
}

declare class TabComponent {
    hasId: string;
    hasClass: boolean;
    label: i0.InputSignal<unknown>;
    item: i0.Signal<ElementRef<any> | undefined>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabComponent, "rolatech-tab", never, { "label": { "alias": "label"; "required": true; "isSignal": true; }; }, {}, never, never, true, never>;
}

declare class MenuIconComponent {
    hasClass: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuIconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuIconComponent, "rolatech-menu-icon", never, {}, {}, never, never, true, never>;
}

declare class ListComponent {
    id: string;
    hasClass: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ListComponent, "rolatech-list", never, {}, {}, never, ["*"], true, never>;
}

declare class ContentComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContentComponent, "rolatech-content", never, {}, {}, never, ["*"], true, never>;
}

declare class ChipBarComponent implements AfterViewInit {
    hasId: string;
    hasClass: boolean;
    private el;
    private renderer;
    private resizeObserver;
    private chips;
    private scroller;
    router: i0.InputSignal<string>;
    items: i0.InputSignal<any[]>;
    fluid: i0.InputSignalWithTransform<boolean, unknown>;
    fixed: i0.InputSignalWithTransform<boolean, unknown>;
    platformId: Object;
    clientWidth: number;
    scrollWidth: number;
    scrollLeft: number;
    constructor(iconRegistry: MatIconRegistry, sanitizer: DomSanitizer);
    ngAfterViewInit(): void;
    setCustomProperties(width: number): void;
    init(): void;
    onScroll(event: any): void;
    leftArrowClick(): void;
    rightArrowClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChipBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChipBarComponent, "rolatech-chip-bar", never, { "router": { "alias": "router"; "required": false; "isSignal": true; }; "items": { "alias": "items"; "required": false; "isSignal": true; }; "fluid": { "alias": "fluid"; "required": false; "isSignal": true; }; "fixed": { "alias": "fixed"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}

declare class AvatarComponent {
    hasClass: boolean;
    src: i0.InputSignal<string | undefined>;
    size: i0.InputSignal<string>;
    el: ElementRef<any>;
    renderer: Renderer2;
    sizea: i0.EffectRef;
    static ɵfac: i0.ɵɵFactoryDeclaration<AvatarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AvatarComponent, "rolatech-avatar", never, { "src": { "alias": "src"; "required": false; "isSignal": true; }; "size": { "alias": "size"; "required": true; "isSignal": true; }; }, {}, never, never, true, never>;
}

declare class ImagePlaceholderComponent implements OnInit {
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImagePlaceholderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImagePlaceholderComponent, "rolatech-image-placeholder", never, {}, {}, never, never, true, never>;
}

declare class ImagePreviewDialogComponent implements OnInit {
    data: any;
    private dialogRef;
    selected: any;
    index: number;
    prevDisabled: boolean;
    nextDisabled: boolean;
    constructor(data: any, dialogRef: MatDialogRef<ImagePreviewDialogComponent>);
    ngOnInit(): void;
    close(): void;
    prev(): void;
    next(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImagePreviewDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImagePreviewDialogComponent, "rolatech-image-preview-dialog", never, {}, {}, never, never, true, never>;
}

declare class EmptyComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<EmptyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EmptyComponent, "rolatech-empty", never, {}, {}, never, never, true, never>;
}

declare class InputComponent {
    title: i0.ModelSignal<unknown>;
    placeholder: i0.InputSignal<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputComponent, "rolatech-input", never, { "title": { "alias": "title"; "required": false; "isSignal": true; }; "placeholder": { "alias": "placeholder"; "required": false; "isSignal": true; }; }, { "title": "titleChange"; }, never, never, true, never>;
}

declare class RichViewComponent implements OnInit, AfterViewInit {
    hasClass: boolean;
    disableScrollbar: boolean;
    platformId: Object;
    el: ElementRef<any>;
    items: i0.Signal<readonly ElementRef<any>[]>;
    list: i0.InputSignalWithTransform<boolean, unknown>;
    wrap: i0.InputSignalWithTransform<boolean, unknown>;
    private resizeObserver;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    setCustomProperties(width: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RichViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RichViewComponent, "rolatech-rich-view", never, { "list": { "alias": "list"; "required": false; "isSignal": true; }; "wrap": { "alias": "wrap"; "required": false; "isSignal": true; }; }, {}, ["items"], ["*"], true, never>;
}

declare class RichItemComponent {
    hasClass: boolean;
    list: i0.InputSignalWithTransform<boolean, unknown>;
    thumbnail: i0.InputSignal<string | undefined>;
    avatar: i0.InputSignal<string | undefined>;
    title: i0.InputSignal<string | undefined>;
    subtitle: i0.InputSignal<string | undefined>;
    price: i0.InputSignal<any>;
    thumbnailRatio: i0.InputSignal<string>;
    currencySymbol: i0.InputSignal<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RichItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RichItemComponent, "rolatech-rich-item", never, { "list": { "alias": "list"; "required": false; "isSignal": true; }; "thumbnail": { "alias": "thumbnail"; "required": false; "isSignal": true; }; "avatar": { "alias": "avatar"; "required": false; "isSignal": true; }; "title": { "alias": "title"; "required": false; "isSignal": true; }; "subtitle": { "alias": "subtitle"; "required": false; "isSignal": true; }; "price": { "alias": "price"; "required": false; "isSignal": true; }; "thumbnailRatio": { "alias": "thumbnailRatio"; "required": false; "isSignal": true; }; "currencySymbol": { "alias": "currencySymbol"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}

declare class EditorComponent implements OnInit, AfterViewInit {
    platformId: Object;
    isBrowser: boolean;
    editor: any;
    constructor();
    ngAfterViewInit(): void;
    ngOnInit(): void;
    get toolbar(): (string[] | {
        list: string;
    }[] | {
        script: string;
    }[] | {
        indent: string;
    }[] | {
        direction: string;
    }[] | {
        header: (number | boolean)[];
    }[] | {
        font: never[];
    }[] | {
        align: never[];
    }[])[];
    quill(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorComponent, "rolatech-editor", never, {}, {}, never, never, true, never>;
}

declare class AccordionComponent {
    hasClass: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccordionComponent, "rolatech-accordion", never, {}, {}, never, ["*"], true, never>;
}

declare class PanelComponent implements OnInit, AfterViewInit {
    hasClass: boolean;
    border: i0.InputSignalWithTransform<boolean, unknown>;
    divider: i0.InputSignalWithTransform<boolean, unknown>;
    expanded: i0.ModelSignal<boolean>;
    title: i0.InputSignal<any>;
    subtitle: i0.InputSignal<string | undefined>;
    private el;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    toggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PanelComponent, "rolatech-panel", never, { "border": { "alias": "border"; "required": false; "isSignal": true; }; "divider": { "alias": "divider"; "required": false; "isSignal": true; }; "expanded": { "alias": "expanded"; "required": false; "isSignal": true; }; "title": { "alias": "title"; "required": false; "isSignal": true; }; "subtitle": { "alias": "subtitle"; "required": false; "isSignal": true; }; }, { "expanded": "expandedChange"; }, never, ["rolatech-panel-header", "*"], true, never>;
}

declare class PanelHeaderComponent {
    static ɵfac: i0.ɵɵFactoryDeclaration<PanelHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PanelHeaderComponent, "rolatech-panel-header", never, {}, {}, never, ["*"], true, never>;
}

export { APP_LAYOUT, AcceptDialogComponent, AccordionComponent, AngularComponentsModule, AppPageComponent, AvatarComponent, BaseComponent, ChipBarComponent, ConfirmationComponent, ConfirmationDialogComponent, ConsoleLayoutComponent, ContainerComponent, ContentComponent, DrawerComponent, EditorComponent, EmptyComponent, FilterComponent, FolderComponent, FooterComponent, IconButtonComponent, IconComponent, ImageComponent, ImagePlaceholderComponent, ImagePreviewDialogComponent, InputComponent, LayoutComponent, ListComponent, LocationSelectorComponent, MaterialModule, MediaListComponent, MediaListItemComponent, MediaPreviewComponent, MediaPreviewDialogComponent, MediaUploadComponent, MediaUploadDialogComponent, MenuIconComponent, MenuUserComponent, MiniGuideComponent, NotFoundComponent, PaginatorComponent, PanelComponent, PanelHeaderComponent, PdfViewerComponent, RejectDialogComponent, ResizableContainerComponent, RichGridMediaComponent, RichItemComponent, RichLabelComponent, RichViewComponent, SpinnerComponent, StorageBucketCreateComponent, StorageFileUploadComponent, StorageFolderCreateComponent, TabComponent, TableComponent, TabsComponent, ThumbnailComponent, TitleComponent, ToolbarComponent, TopbarAvatarMenuComponent, TopbarComponent, WechatConnectDialogComponent, provideAngularLayout };
export type { AppLayoutConfig, AppTopbarConfig, Column, DrawerConfig, MiniGuide, TableData };
